<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        /*Schema::create('notifications', function (Blueprint $table) {
            $table->id();
            $table->foreignId('user_id')->constrained(
                table: 'users', indexName: 'notifications_user_id_foreign_key'
            )->onDelete('cascade');
            $table->string('action');
            $table->string('object_name');
            $table->unsignedInteger('object_id');
            $table->date('read_at')->nullable();
            $table->date('sended_to_email_at')->nullable();
            $table->date('disabled_at')->nullable();
            $table->timestamps();
        });

        Schema::table('notifications', function (Blueprint $table) {
            $table->unique(['user_id', 'action', 'object_name', 'object_id']);
        });*/
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        //Schema::dropIfExists('notifications');
    }
};
